Package org.kapott.hbci.sepa.jaxb.pain_001_001_02

# Class Party5Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_02.Party5Choice

public class Party5Choice extends Object

Java class for Party5Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Party5Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="OrgId" type="{urn:sepade:xsd:pain.001.001.02}OrganisationIdentification2"/>
               <element name="PrvtId" type="{urn:sepade:xsd:pain.001.001.02}PersonIdentification3"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OrganisationIdentification2`
`orgId`
`protected PersonIdentification3`
`prvtId`

## Constructor Summary

Constructors
Constructor
Description
`Party5Choice()`

## Method Summary

Modifier and Type
Method
Description
`OrganisationIdentification2`
`getOrgId()`
Gets the value of the orgId property.
`PersonIdentification3`
`getPrvtId()`
Gets the value of the prvtId property.
`void`
`setOrgId(OrganisationIdentification2 value)`
Sets the value of the orgId property.
`void`
`setPrvtId(PersonIdentification3 value)`
Sets the value of the prvtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### orgId

protected OrganisationIdentification2 orgId

### prvtId

protected PersonIdentification3 prvtId

## Constructor Details

### Party5Choice

public Party5Choice()

## Method Details

### getOrgId

public OrganisationIdentification2 getOrgId()
Gets the value of the orgId property.

Returns:
  possible object is `OrganisationIdentification2`

### setOrgId

public void setOrgId(OrganisationIdentification2 value)
Sets the value of the orgId property.

Parameters:
  `value` - allowed object is `OrganisationIdentification2`

### getPrvtId

public PersonIdentification3 getPrvtId()
Gets the value of the prvtId property.

Returns:
  possible object is `PersonIdentification3`

### setPrvtId

public void setPrvtId(PersonIdentification3 value)
Sets the value of the prvtId property.

Parameters:
  `value` - allowed object is `PersonIdentification3`